Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.metadata

# Class GetFunctions

java.lang.Object
org.firebirdsql.jdbc.metadata.GetFunctions

@InternalApi public abstract class GetFunctions extends Object
Provides the implementation for `DatabaseMetaData.getFunctions(String, String, String)`.

Since:
  4.0
Author:
  Mark Rotteveel

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final DbMetadataMediator`
`mediator`

## Method Summary

Modifier and Type
Method
Description
`static GetFunctions`
`create(DbMetadataMediator mediator)`
Creates an instance of `GetFunctions`.
`final ResultSet`
`getFunctions(String catalog, String functionNamePattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mediator

protected final DbMetadataMediator mediator

## Method Details

### getFunctions

public final ResultSet getFunctions(String catalog, String functionNamePattern) throws SQLException

Throws:
  `SQLException`
See Also:
  - `DatabaseMetaData.getFunctions(String, String, String)`

### create

public static GetFunctions create(DbMetadataMediator mediator)
Creates an instance of `GetFunctions`.

Parameters:
  `mediator` - Database metadata mediator
Returns:
  Instance